# Natural Persons

## Create Natural Person

> Create new natural person

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Natural Persons","description":"Natural Persons"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"CreateNaturalPersonResult":{"title":"CreateNaturalPersonResult","type":"object","properties":{"naturalPersonId":{"type":"string","format":"uuid","description":"Unique natural person identification number in UUID format","readOnly":true}},"required":["naturalPersonId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"NaturalPersonData":{"title":"NaturalPersonData","type":"object","properties":{"gender":{"$ref":"#/components/schemas/GenderEnum"},"title":{"$ref":"#/components/schemas/NaturalPersonTitleEnum"},"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"maritalStatus":{"$ref":"#/components/schemas/NaturalPersonMaritalStatusEnum"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/Nationality"}},"language":{"$ref":"#/components/schemas/LanguageEnum"},"taxDetails":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"profession":{"type":"string","minLength":1,"maxLength":255},"professionGroup":{"$ref":"#/components/schemas/NaturalPersonProfessionGroupEnum"},"naceSectors":{"description":"Specification of the sector in which the natural person is professionally active. The information should be provided according to the main classes of the NACE codes (Sections A-V) without subclasses. (Level 1)","type":"array","items":{"$ref":"#/components/schemas/NaturalPersonNaceSector"}},"mainAddress":{"$ref":"#/components/schemas/Address"},"correspondenceAddress":{"$ref":"#/components/schemas/Address"},"annualIncomeNet":{"type":"number","multipleOf":0.01,"description":"Annual income net"},"sourceOfIncome":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonSourceOfIncomeEnum"}},"availableAssets":{"type":"number","multipleOf":0.01,"description":"Available assets"},"originOfAssets":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonAssetOriginEnum"}},"contact":{"$ref":"#/components/schemas/Contact"},"externalId":{"type":"string","minLength":1,"description":"External Id in partner's system. This value has to be unique"}},"required":["birthCountry","birthDay","birthPlace","contact","firstName","gender","isUsNationality","lastName","mainAddress","nationalities","taxDetails"],"description":""},"GenderEnum":{"title":"GenderEnum","type":"string","description":"Gender","enum":["MALE","FEMALE","DIVERSE"]},"NaturalPersonTitleEnum":{"title":"NaturalPersonTitleEnum","type":"string","enum":["PROFESSOR","MAGISTER","DR"]},"NaturalPersonMaritalStatusEnum":{"title":"NaturalPersonMaritalStatusEnum","type":"string","enum":["MARRIED","DIVORCED","WIDOWED","SINGLE","SEPARATED","REGISTERED_PARTNERSHIP"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"Nationality":{"title":"Nationality","type":"object","description":"Nationality of the customer","properties":{"countryCode":{"$ref":"#/components/schemas/CountryEnum"},"nationalIdentifier":{"type":"string","description":"National identifier of the customer"},"nationalIdentifierType":{"$ref":"#/components/schemas/NationalIdentifierType"}},"required":["countryCode"]},"NationalIdentifierType":{"title":"NationalIdentifierType","type":"string","description":"National identifier type of the customer","enum":["CONCAT","NATIONAL_PASSPORT_NUMBER","BELGIAN_NATIONAL_NUMBER","BULGARIAN_PERSONAL_NUMBER","CZECH_NATIONAL_IDENTIFICATION_NUMBER","DENMARK_PERSONAL_IDENTITY_CODE","ESTONIAN_PERSONAL_IDENTIFICATION_CODE","SPAIN_TAX_IDENTIFICATION_NUMBER","FINLAND_PERSONAL_IDENTITY_CODE","GREECE_DSS_DIGIT_INVESTOR_SHARE","CROATIA_PERSONAL_IDENTIFICATION_NUMBER","ICELAND_PERSONAL_IDENTITY_CODE","ITALY_FISCAL_CODE","LITHUANIA_PERSONAL_CODE","LATVIA_PERSONAL_CODE","MALTA_NATIONAL_IDENTIFICATION_NUMBER","NORWAY_PERSONAL_ID","POLAND_NATIONAL_IDENTIFICATION_NUMBER","PORTUGAL_TAX_NUMBER","ROMANIA_NATIONAL_IDENTIFICATION_NUMBER","SWEDEN_PERSONAL_IDENTITY_NUMBER","SLOVENIA_PERSONAL_IDENTIFICATION_NUMBER","SLOVAKIA_PERSONAL_NUMBER"]},"LanguageEnum":{"title":"LanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes (EU only)","enum":["da","de","el","en","es","fi","fr","hu","it","lt","lv","mt","nl","pl","pt","ro","sk","sl","sv"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"NaturalPersonProfessionGroupEnum":{"title":"NaturalPersonProfessionGroupEnum","type":"string","enum":["EMPLOYED","INDEPENDENT","PENSIONER","MEMBER_OF_THE_BOARD","STUDENT_OR_PUPIL","UNEMPLOYED","PUBLIC_SECTOR_EMPLOYEE","PROFESSIONAL_SOLDIER","FREELANCER","HOUSEWORK","RETIRED"]},"NaturalPersonNaceSector":{"title":"NaturalPersonNaceSector","type":"object","properties":{"section":{"type":"string","minLength":1,"maxLength":1,"pattern":"^[A-V]$"},"description":{"type":"string","maxLength":255}},"required":["section"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"NaturalPersonSourceOfIncomeEnum":{"title":"NaturalPersonSourceOfIncomeEnum","type":"string","enum":["INCOME_FROM_EMPLOYMENT","INCOME_FROM_CAPITAL_ASSETS","INCOME_FROM_RENTING_AND_LEASING","INCOME_FROM_AGRICULTURE_AND_FORESTRY","INCOME_FROM_BUSINESS_OPERATIONS","INCOME_FROM_SELF_EMPLOYMENT","OTHER_INCOME","SALES_OF_ASSETS","FAMILY_INCOME_OR_DONATIONS","INHERITANCE","PENSION","PUBLIC_SUBSIDES"],"description":"source of income"},"NaturalPersonAssetOriginEnum":{"title":"NaturalPersonAssetOriginEnum","type":"string","enum":["NON_EMPLOYED_LABOR","CAPITAL_ASSETS","REAL_ESTATE","INHERITANCE","DONATION","AGRICULTURE_AND_FORESTRY","TRADE","SELF_EMPLOYED_WORK"],"description":"source of income"},"Contact":{"title":"Contact","type":"object","properties":{"phone":{"type":"string","description":"Mobile telephone number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"email":{"type":"string","description":"E-mail address","maxLength":255,"pattern":"^[a-zA-Z0-9.!#$%&'*+\\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"},"fax":{"type":"string","description":"Fax number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"website":{"type":"string","description":"website address","maxLength":320}},"required":["phone","email"]}}},"paths":{"/entities/natural-persons":{"post":{"summary":"Create Natural Person","operationId":"create-natural-person","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNaturalPersonResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Create new natural person","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NaturalPersonData"}}}},"tags":["Natural Persons"]}}}}
```

## Get Natural Persons

> Get natural persons

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Natural Persons","description":"Natural Persons"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"NaturalPersons":{"title":"NaturalPersons","type":"object","properties":{"data":{"type":"array","description":"Array of natural persons","items":{"$ref":"#/components/schemas/NaturalPerson"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"NaturalPerson":{"type":"object","required":["birthCountry","birthDay","birthPlace","contact","createdOn","firstName","gender","globalId","isUsNationality","lastName","mainAddress","modifiedOn","nationalities","naturalPersonId","naturalPersonStatus","taxDetails"],"properties":{"deathDay":{"type":"string","format":"date"},"naturalPersonId":{"type":"string","format":"uuid","description":"Unique natural person identification number in UUID format"},"globalId":{"type":"string","minLength":12,"maxLength":12,"description":"Unique identifier for any natural persons, joint persons and legal entities. The respective data set indicates what the data is about."},"createdOn":{"type":"string","format":"date-time","description":"The date on which the natural person was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the natural person was modified the last time"},"verifiedOn":{"type":"string","format":"date-time","description":"The date on which the natural person was verified"},"isPep":{"type":"boolean","description":"Indication of whether the person is a politically exposed person."},"isPepRelated":{"type":"boolean","description":"Indication of whether the person is directly related to a politically exposed person."},"isSanction":{"type":"boolean","description":"Indication of whether the person is on sanction list."},"riskLevel":{"$ref":"#/components/schemas/RiskLevelEnum"},"naturalPersonStatus":{"$ref":"#/components/schemas/NaturalPersonStatusEnum"},"naturalPersonIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonIdentification"}},"naturalPersonSignedDocuments":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonDocumentSignature"}},"tradingProfile":{"$ref":"#/components/schemas/TradingProfile"},"gender":{"$ref":"#/components/schemas/GenderEnum"},"title":{"$ref":"#/components/schemas/NaturalPersonTitleEnum"},"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"maritalStatus":{"$ref":"#/components/schemas/NaturalPersonMaritalStatusEnum"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/Nationality"}},"language":{"$ref":"#/components/schemas/LanguageEnum"},"taxDetails":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"profession":{"type":"string","minLength":1,"maxLength":255},"professionGroup":{"$ref":"#/components/schemas/NaturalPersonProfessionGroupEnum"},"naceSectors":{"description":"Specification of the sector in which the natural person is professionally active. The information should be provided according to the main classes of the NACE codes (Sections A-V) without subclasses. (Level 1)","type":"array","items":{"$ref":"#/components/schemas/NaturalPersonNaceSector"}},"mainAddress":{"$ref":"#/components/schemas/Address"},"correspondenceAddress":{"$ref":"#/components/schemas/Address"},"annualIncomeNet":{"type":"number","multipleOf":0.01,"description":"Annual income net"},"sourceOfIncome":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonSourceOfIncomeEnum"}},"availableAssets":{"type":"number","multipleOf":0.01,"description":"Available assets"},"originOfAssets":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonAssetOriginEnum"}},"contact":{"$ref":"#/components/schemas/Contact"},"externalId":{"type":"string","minLength":1,"description":"External Id in partner's system. This value has to be unique"}},"title":"NaturalPerson","description":""},"RiskLevelEnum":{"title":"RiskLevelEnum","type":"string","enum":["LOW","MEDIUM","HIGH","CRITICAL"]},"NaturalPersonStatusEnum":{"title":"NaturalPersonStatusEnum","type":"string","enum":["CREATED","REVIEW","REJECTED","INACTIVE","PENDING","ACTIVE","SUSPENDED","ARCHIVED","RECEIVED","INVALID","SUSPENDED_COMPLIANCE","DECEASED"]},"NaturalPersonIdentification":{"type":"object","properties":{"identificationId":{"type":"string","format":"uuid","description":"Unique identification number in UUID format","readOnly":true},"createdOn":{"type":"string","format":"date-time","description":"The date on which the wizard was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the wizard was modified the last time","readOnly":true},"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"identificationDate":{"description":"Date on which the identification was carried out. The date must be within the last 24 months.","type":"string","format":"date"},"identificationDocumentType":{"$ref":"#/components/schemas/IdentificationDocumentTypeEnum"},"documentNumber":{"description":"Document number of the identification document.","type":"string","minLength":1,"maxLength":255},"documentCountry":{"title":"CountryEnum","type":"string","description":"Issuing country of the identification document.","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"documentIssuer":{"description":"Issuing authority of the identification document","type":"string","minLength":1,"maxLength":255},"documentIssueDate":{"description":"Issue date of the identification document","type":"string","format":"date"},"documentExpiryDate":{"description":"Expiry date of the identification document. If the identification document is a birth certificate, the date on which the person comes of age must be entered as the expiry date.","type":"string","format":"date"},"documentMotherFullName":{"description":"Full name of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentMotherResidenceCity":{"description":"Residence city of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherFullName":{"description":"Full name of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherResidenceCity":{"description":"Residence city of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255}},"required":["createdOn","documentCountry","documentExpiryDate","documentIssueDate","documentIssuer","documentNumber","externalVerifier","identificationDate","identificationDocumentType","identificationId","identificationType","modifiedOn"],"title":"NaturalPersonIdentification"},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]},"IdentificationDocumentTypeEnum":{"title":"IdentificationDocumentTypeEnum","description":"Type of the identification document which has been used for identification of the natural person.","type":"string","enum":["ID","PASSPORT","BIRTH_CERTIFICATE"]},"NaturalPersonDocumentSignature":{"title":"NaturalPersonDocumentSignature","type":"object","properties":{"partnerDocumentId":{"type":"string","format":"uuid","description":"Id of the partner document which was signed"},"name":{"type":"string","description":"Name of the document"},"documentType":{"$ref":"#/components/schemas/DocumentSignatureTypeEnum"},"version":{"type":"integer","description":"Version of the document"},"customerId":{"type":"string","format":"uuid","description":"Id of the customer in whose context the natural person is active. Required only for TERMS_AND_CONDITIONS document type."},"createdOn":{"type":"string","format":"date-time","description":"The date on which the document signature was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the document signature was modified the last time","readOnly":true}},"required":["partnerDocumentId","name","documentType","version","createdOn","modifiedOn"]},"DocumentSignatureTypeEnum":{"title":"DocumentSignatureTypeEnum","type":"string","enum":["TERMS_AND_CONDITIONS","DATA_PRIVACY_POLICY"]},"TradingProfile":{"title":"TradingProfile","type":"object","description":"Trading profile for a natural person","properties":{"assetTypeProfiles":{"type":"array","description":"Trading profile details per asset type","items":{"$ref":"#/components/schemas/AssetTypeTradingProfile"}},"investmentObjectives":{"$ref":"#/components/schemas/InvestmentObjectives"}}},"AssetTypeTradingProfile":{"title":"AssetTypeTradingProfile","type":"object","required":["assetType","hasKnowledge","hasExperience","createdOn","modifiedOn","riskAcknowledged"],"properties":{"assetType":{"$ref":"#/components/schemas/CreateUpdateTraditionalAssetTypeEnum"},"hasKnowledge":{"type":"boolean","description":"Indicates if the person has trading knowledge"},"hasExperience":{"type":"boolean","description":"Indicates if the person has trading experience"},"tradingExperience":{"$ref":"#/components/schemas/TradingExperience"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the trading profile was created for asset type"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the trading profile was modified the last time for asset type"},"appropriatenessTestPassed":{"type":"boolean"},"riskAcknowledged":{"type":"boolean"}}},"CreateUpdateTraditionalAssetTypeEnum":{"title":"CreateUpdateTraditionalAssetTypeEnum","type":"string","description":"The type of the traditional asset for create and update operations","enum":["BOND","ETF","EQUITY","FUND","COMMODITY","DERIVATIVE","ETN","SECURITY_TOKEN"]},"TradingExperience":{"title":"TradingExperience","type":"object","description":"Trading experience details","properties":{"yearsOfExperience":{"type":"integer","description":"Number of years of trading experience","minimum":0},"numberOfTrades":{"type":"integer","description":"Number of trades executed","minimum":0},"tradeVolume":{"type":"number","description":"Total volume of trades","minimum":0}},"required":["yearsOfExperience","numberOfTrades","tradeVolume"]},"InvestmentObjectives":{"title":"InvestmentObjectives","type":"object","description":"Investment objectives categorized by purpose","properties":{"growthAndSavings":{"type":"array","description":"Growth and savings investment purposes","items":{"$ref":"#/components/schemas/GrowthAndSavingsPurposeEnum"}},"capitalProtectionAndHedging":{"type":"array","description":"Capital protection and hedging investment purposes","items":{"$ref":"#/components/schemas/CapitalProtectionAndHedgingPurposeEnum"}},"incomeAndLiquidity":{"type":"array","description":"Income and liquidity investment purposes","items":{"$ref":"#/components/schemas/IncomeAndLiquidityPurposeEnum"}},"retirementAndFuturePlanning":{"type":"array","description":"Retirement and future planning investment purposes","items":{"$ref":"#/components/schemas/RetirementAndFuturePlanningPurposeEnum"}},"specificInvestmentTypes":{"type":"array","description":"Specific investment types purposes","items":{"$ref":"#/components/schemas/SpecificInvestmentTypesPurposeEnum"}},"taxAndEstatePlanning":{"type":"array","description":"Tax and estate planning investment purposes","items":{"$ref":"#/components/schemas/TaxAndEstatePlanningPurposeEnum"}}}},"GrowthAndSavingsPurposeEnum":{"title":"GrowthAndSavingsPurposeEnum","type":"string","enum":["CAPITAL_GROWTH","LONG_TERM_SAVING","PERSONAL_INVESTMENTS"]},"CapitalProtectionAndHedgingPurposeEnum":{"title":"CapitalProtectionAndHedgingPurposeEnum","type":"string","enum":["WEALTH_PRESERVATION","HEDGING","RISK_MANAGEMENT"]},"IncomeAndLiquidityPurposeEnum":{"title":"IncomeAndLiquidityPurposeEnum","type":"string","enum":["INCOME_GENERATION","CASH_MANAGEMENT","SHORT_TERM_LIQUIDITY"]},"RetirementAndFuturePlanningPurposeEnum":{"title":"RetirementAndFuturePlanningPurposeEnum","type":"string","enum":["PENSION_PLANNING","EDUCATION_FUNDING","FAMILY_SECURITY"]},"SpecificInvestmentTypesPurposeEnum":{"title":"SpecificInvestmentTypesPurposeEnum","type":"string","enum":["INVESTMENT_IN_LISTED_EQUITIES","SMALL_SCALE_INVESTMENTS","REAL_ESTATE_INVESTMENTS","ALTERNATIVE_INVESTMENTS","SPECULATIVE_INVESTMENTS","SHORT_TERM_TRADING"]},"TaxAndEstatePlanningPurposeEnum":{"title":"TaxAndEstatePlanningPurposeEnum","type":"string","enum":["TAX_PLANNING","ESTATE_PLANNING"]},"GenderEnum":{"title":"GenderEnum","type":"string","description":"Gender","enum":["MALE","FEMALE","DIVERSE"]},"NaturalPersonTitleEnum":{"title":"NaturalPersonTitleEnum","type":"string","enum":["PROFESSOR","MAGISTER","DR"]},"NaturalPersonMaritalStatusEnum":{"title":"NaturalPersonMaritalStatusEnum","type":"string","enum":["MARRIED","DIVORCED","WIDOWED","SINGLE","SEPARATED","REGISTERED_PARTNERSHIP"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"Nationality":{"title":"Nationality","type":"object","description":"Nationality of the customer","properties":{"countryCode":{"$ref":"#/components/schemas/CountryEnum"},"nationalIdentifier":{"type":"string","description":"National identifier of the customer"},"nationalIdentifierType":{"$ref":"#/components/schemas/NationalIdentifierType"}},"required":["countryCode"]},"NationalIdentifierType":{"title":"NationalIdentifierType","type":"string","description":"National identifier type of the customer","enum":["CONCAT","NATIONAL_PASSPORT_NUMBER","BELGIAN_NATIONAL_NUMBER","BULGARIAN_PERSONAL_NUMBER","CZECH_NATIONAL_IDENTIFICATION_NUMBER","DENMARK_PERSONAL_IDENTITY_CODE","ESTONIAN_PERSONAL_IDENTIFICATION_CODE","SPAIN_TAX_IDENTIFICATION_NUMBER","FINLAND_PERSONAL_IDENTITY_CODE","GREECE_DSS_DIGIT_INVESTOR_SHARE","CROATIA_PERSONAL_IDENTIFICATION_NUMBER","ICELAND_PERSONAL_IDENTITY_CODE","ITALY_FISCAL_CODE","LITHUANIA_PERSONAL_CODE","LATVIA_PERSONAL_CODE","MALTA_NATIONAL_IDENTIFICATION_NUMBER","NORWAY_PERSONAL_ID","POLAND_NATIONAL_IDENTIFICATION_NUMBER","PORTUGAL_TAX_NUMBER","ROMANIA_NATIONAL_IDENTIFICATION_NUMBER","SWEDEN_PERSONAL_IDENTITY_NUMBER","SLOVENIA_PERSONAL_IDENTIFICATION_NUMBER","SLOVAKIA_PERSONAL_NUMBER"]},"LanguageEnum":{"title":"LanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes (EU only)","enum":["da","de","el","en","es","fi","fr","hu","it","lt","lv","mt","nl","pl","pt","ro","sk","sl","sv"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"NaturalPersonProfessionGroupEnum":{"title":"NaturalPersonProfessionGroupEnum","type":"string","enum":["EMPLOYED","INDEPENDENT","PENSIONER","MEMBER_OF_THE_BOARD","STUDENT_OR_PUPIL","UNEMPLOYED","PUBLIC_SECTOR_EMPLOYEE","PROFESSIONAL_SOLDIER","FREELANCER","HOUSEWORK","RETIRED"]},"NaturalPersonNaceSector":{"title":"NaturalPersonNaceSector","type":"object","properties":{"section":{"type":"string","minLength":1,"maxLength":1,"pattern":"^[A-V]$"},"description":{"type":"string","maxLength":255}},"required":["section"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"NaturalPersonSourceOfIncomeEnum":{"title":"NaturalPersonSourceOfIncomeEnum","type":"string","enum":["INCOME_FROM_EMPLOYMENT","INCOME_FROM_CAPITAL_ASSETS","INCOME_FROM_RENTING_AND_LEASING","INCOME_FROM_AGRICULTURE_AND_FORESTRY","INCOME_FROM_BUSINESS_OPERATIONS","INCOME_FROM_SELF_EMPLOYMENT","OTHER_INCOME","SALES_OF_ASSETS","FAMILY_INCOME_OR_DONATIONS","INHERITANCE","PENSION","PUBLIC_SUBSIDES"],"description":"source of income"},"NaturalPersonAssetOriginEnum":{"title":"NaturalPersonAssetOriginEnum","type":"string","enum":["NON_EMPLOYED_LABOR","CAPITAL_ASSETS","REAL_ESTATE","INHERITANCE","DONATION","AGRICULTURE_AND_FORESTRY","TRADE","SELF_EMPLOYED_WORK"],"description":"source of income"},"Contact":{"title":"Contact","type":"object","properties":{"phone":{"type":"string","description":"Mobile telephone number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"email":{"type":"string","description":"E-mail address","maxLength":255,"pattern":"^[a-zA-Z0-9.!#$%&'*+\\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"},"fax":{"type":"string","description":"Fax number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"website":{"type":"string","description":"website address","maxLength":320}},"required":["phone","email"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true},"naturalPersonStatus":{"schema":{"$ref":"#/components/schemas/NaturalPersonStatusEnum"},"in":"query","name":"naturalPersonStatus","description":"Natural person status Filter"}}},"paths":{"/entities/natural-persons":{"get":{"summary":"Get Natural Persons","tags":["Natural Persons"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NaturalPersons"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"get-natural-persons","description":"Get natural persons","parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/naturalPersonStatus"}]}}}}
```

## Get Natural Person

> Get natural person

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Natural Persons","description":"Natural Persons"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"NaturalPerson":{"type":"object","required":["birthCountry","birthDay","birthPlace","contact","createdOn","firstName","gender","globalId","isUsNationality","lastName","mainAddress","modifiedOn","nationalities","naturalPersonId","naturalPersonStatus","taxDetails"],"properties":{"deathDay":{"type":"string","format":"date"},"naturalPersonId":{"type":"string","format":"uuid","description":"Unique natural person identification number in UUID format"},"globalId":{"type":"string","minLength":12,"maxLength":12,"description":"Unique identifier for any natural persons, joint persons and legal entities. The respective data set indicates what the data is about."},"createdOn":{"type":"string","format":"date-time","description":"The date on which the natural person was created"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the natural person was modified the last time"},"verifiedOn":{"type":"string","format":"date-time","description":"The date on which the natural person was verified"},"isPep":{"type":"boolean","description":"Indication of whether the person is a politically exposed person."},"isPepRelated":{"type":"boolean","description":"Indication of whether the person is directly related to a politically exposed person."},"isSanction":{"type":"boolean","description":"Indication of whether the person is on sanction list."},"riskLevel":{"$ref":"#/components/schemas/RiskLevelEnum"},"naturalPersonStatus":{"$ref":"#/components/schemas/NaturalPersonStatusEnum"},"naturalPersonIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonIdentification"}},"naturalPersonSignedDocuments":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonDocumentSignature"}},"tradingProfile":{"$ref":"#/components/schemas/TradingProfile"},"gender":{"$ref":"#/components/schemas/GenderEnum"},"title":{"$ref":"#/components/schemas/NaturalPersonTitleEnum"},"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"maritalStatus":{"$ref":"#/components/schemas/NaturalPersonMaritalStatusEnum"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/Nationality"}},"language":{"$ref":"#/components/schemas/LanguageEnum"},"taxDetails":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"profession":{"type":"string","minLength":1,"maxLength":255},"professionGroup":{"$ref":"#/components/schemas/NaturalPersonProfessionGroupEnum"},"naceSectors":{"description":"Specification of the sector in which the natural person is professionally active. The information should be provided according to the main classes of the NACE codes (Sections A-V) without subclasses. (Level 1)","type":"array","items":{"$ref":"#/components/schemas/NaturalPersonNaceSector"}},"mainAddress":{"$ref":"#/components/schemas/Address"},"correspondenceAddress":{"$ref":"#/components/schemas/Address"},"annualIncomeNet":{"type":"number","multipleOf":0.01,"description":"Annual income net"},"sourceOfIncome":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonSourceOfIncomeEnum"}},"availableAssets":{"type":"number","multipleOf":0.01,"description":"Available assets"},"originOfAssets":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonAssetOriginEnum"}},"contact":{"$ref":"#/components/schemas/Contact"},"externalId":{"type":"string","minLength":1,"description":"External Id in partner's system. This value has to be unique"}},"title":"NaturalPerson","description":""},"RiskLevelEnum":{"title":"RiskLevelEnum","type":"string","enum":["LOW","MEDIUM","HIGH","CRITICAL"]},"NaturalPersonStatusEnum":{"title":"NaturalPersonStatusEnum","type":"string","enum":["CREATED","REVIEW","REJECTED","INACTIVE","PENDING","ACTIVE","SUSPENDED","ARCHIVED","RECEIVED","INVALID","SUSPENDED_COMPLIANCE","DECEASED"]},"NaturalPersonIdentification":{"type":"object","properties":{"identificationId":{"type":"string","format":"uuid","description":"Unique identification number in UUID format","readOnly":true},"createdOn":{"type":"string","format":"date-time","description":"The date on which the wizard was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the wizard was modified the last time","readOnly":true},"externalVerifier":{"$ref":"#/components/schemas/ExternalVerifierEnum"},"identificationType":{"$ref":"#/components/schemas/IdentificationTypeEnum"},"identificationDate":{"description":"Date on which the identification was carried out. The date must be within the last 24 months.","type":"string","format":"date"},"identificationDocumentType":{"$ref":"#/components/schemas/IdentificationDocumentTypeEnum"},"documentNumber":{"description":"Document number of the identification document.","type":"string","minLength":1,"maxLength":255},"documentCountry":{"title":"CountryEnum","type":"string","description":"Issuing country of the identification document.","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"documentIssuer":{"description":"Issuing authority of the identification document","type":"string","minLength":1,"maxLength":255},"documentIssueDate":{"description":"Issue date of the identification document","type":"string","format":"date"},"documentExpiryDate":{"description":"Expiry date of the identification document. If the identification document is a birth certificate, the date on which the person comes of age must be entered as the expiry date.","type":"string","format":"date"},"documentMotherFullName":{"description":"Full name of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentMotherResidenceCity":{"description":"Residence city of the mother, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherFullName":{"description":"Full name of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255},"documentFatherResidenceCity":{"description":"Residence city of the father, only mandatory for identificationDocumentType = BIRTH_CERTIFICATE","type":"string","minLength":1,"maxLength":255}},"required":["createdOn","documentCountry","documentExpiryDate","documentIssueDate","documentIssuer","documentNumber","externalVerifier","identificationDate","identificationDocumentType","identificationId","identificationType","modifiedOn"],"title":"NaturalPersonIdentification"},"ExternalVerifierEnum":{"title":"ExternalVerifierEnum","description":"The legal name of the vendor/company performing the identification for this natural person","type":"string","enum":["WEB_ID","ID_NOW","DEUTSCHE_POST","PARTNER","OTHER"]},"IdentificationTypeEnum":{"title":"IdentificationTypeEnum","description":"Method used to identify the customer","type":"string","enum":["VIDEO_IDENT","IN_PERSON","POST_IDENT","E_ID","ID_COPY"]},"IdentificationDocumentTypeEnum":{"title":"IdentificationDocumentTypeEnum","description":"Type of the identification document which has been used for identification of the natural person.","type":"string","enum":["ID","PASSPORT","BIRTH_CERTIFICATE"]},"NaturalPersonDocumentSignature":{"title":"NaturalPersonDocumentSignature","type":"object","properties":{"partnerDocumentId":{"type":"string","format":"uuid","description":"Id of the partner document which was signed"},"name":{"type":"string","description":"Name of the document"},"documentType":{"$ref":"#/components/schemas/DocumentSignatureTypeEnum"},"version":{"type":"integer","description":"Version of the document"},"customerId":{"type":"string","format":"uuid","description":"Id of the customer in whose context the natural person is active. Required only for TERMS_AND_CONDITIONS document type."},"createdOn":{"type":"string","format":"date-time","description":"The date on which the document signature was created","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the document signature was modified the last time","readOnly":true}},"required":["partnerDocumentId","name","documentType","version","createdOn","modifiedOn"]},"DocumentSignatureTypeEnum":{"title":"DocumentSignatureTypeEnum","type":"string","enum":["TERMS_AND_CONDITIONS","DATA_PRIVACY_POLICY"]},"TradingProfile":{"title":"TradingProfile","type":"object","description":"Trading profile for a natural person","properties":{"assetTypeProfiles":{"type":"array","description":"Trading profile details per asset type","items":{"$ref":"#/components/schemas/AssetTypeTradingProfile"}},"investmentObjectives":{"$ref":"#/components/schemas/InvestmentObjectives"}}},"AssetTypeTradingProfile":{"title":"AssetTypeTradingProfile","type":"object","required":["assetType","hasKnowledge","hasExperience","createdOn","modifiedOn","riskAcknowledged"],"properties":{"assetType":{"$ref":"#/components/schemas/CreateUpdateTraditionalAssetTypeEnum"},"hasKnowledge":{"type":"boolean","description":"Indicates if the person has trading knowledge"},"hasExperience":{"type":"boolean","description":"Indicates if the person has trading experience"},"tradingExperience":{"$ref":"#/components/schemas/TradingExperience"},"createdOn":{"type":"string","format":"date-time","description":"The date on which the trading profile was created for asset type"},"modifiedOn":{"type":"string","format":"date-time","description":"The date on which the trading profile was modified the last time for asset type"},"appropriatenessTestPassed":{"type":"boolean"},"riskAcknowledged":{"type":"boolean"}}},"CreateUpdateTraditionalAssetTypeEnum":{"title":"CreateUpdateTraditionalAssetTypeEnum","type":"string","description":"The type of the traditional asset for create and update operations","enum":["BOND","ETF","EQUITY","FUND","COMMODITY","DERIVATIVE","ETN","SECURITY_TOKEN"]},"TradingExperience":{"title":"TradingExperience","type":"object","description":"Trading experience details","properties":{"yearsOfExperience":{"type":"integer","description":"Number of years of trading experience","minimum":0},"numberOfTrades":{"type":"integer","description":"Number of trades executed","minimum":0},"tradeVolume":{"type":"number","description":"Total volume of trades","minimum":0}},"required":["yearsOfExperience","numberOfTrades","tradeVolume"]},"InvestmentObjectives":{"title":"InvestmentObjectives","type":"object","description":"Investment objectives categorized by purpose","properties":{"growthAndSavings":{"type":"array","description":"Growth and savings investment purposes","items":{"$ref":"#/components/schemas/GrowthAndSavingsPurposeEnum"}},"capitalProtectionAndHedging":{"type":"array","description":"Capital protection and hedging investment purposes","items":{"$ref":"#/components/schemas/CapitalProtectionAndHedgingPurposeEnum"}},"incomeAndLiquidity":{"type":"array","description":"Income and liquidity investment purposes","items":{"$ref":"#/components/schemas/IncomeAndLiquidityPurposeEnum"}},"retirementAndFuturePlanning":{"type":"array","description":"Retirement and future planning investment purposes","items":{"$ref":"#/components/schemas/RetirementAndFuturePlanningPurposeEnum"}},"specificInvestmentTypes":{"type":"array","description":"Specific investment types purposes","items":{"$ref":"#/components/schemas/SpecificInvestmentTypesPurposeEnum"}},"taxAndEstatePlanning":{"type":"array","description":"Tax and estate planning investment purposes","items":{"$ref":"#/components/schemas/TaxAndEstatePlanningPurposeEnum"}}}},"GrowthAndSavingsPurposeEnum":{"title":"GrowthAndSavingsPurposeEnum","type":"string","enum":["CAPITAL_GROWTH","LONG_TERM_SAVING","PERSONAL_INVESTMENTS"]},"CapitalProtectionAndHedgingPurposeEnum":{"title":"CapitalProtectionAndHedgingPurposeEnum","type":"string","enum":["WEALTH_PRESERVATION","HEDGING","RISK_MANAGEMENT"]},"IncomeAndLiquidityPurposeEnum":{"title":"IncomeAndLiquidityPurposeEnum","type":"string","enum":["INCOME_GENERATION","CASH_MANAGEMENT","SHORT_TERM_LIQUIDITY"]},"RetirementAndFuturePlanningPurposeEnum":{"title":"RetirementAndFuturePlanningPurposeEnum","type":"string","enum":["PENSION_PLANNING","EDUCATION_FUNDING","FAMILY_SECURITY"]},"SpecificInvestmentTypesPurposeEnum":{"title":"SpecificInvestmentTypesPurposeEnum","type":"string","enum":["INVESTMENT_IN_LISTED_EQUITIES","SMALL_SCALE_INVESTMENTS","REAL_ESTATE_INVESTMENTS","ALTERNATIVE_INVESTMENTS","SPECULATIVE_INVESTMENTS","SHORT_TERM_TRADING"]},"TaxAndEstatePlanningPurposeEnum":{"title":"TaxAndEstatePlanningPurposeEnum","type":"string","enum":["TAX_PLANNING","ESTATE_PLANNING"]},"GenderEnum":{"title":"GenderEnum","type":"string","description":"Gender","enum":["MALE","FEMALE","DIVERSE"]},"NaturalPersonTitleEnum":{"title":"NaturalPersonTitleEnum","type":"string","enum":["PROFESSOR","MAGISTER","DR"]},"NaturalPersonMaritalStatusEnum":{"title":"NaturalPersonMaritalStatusEnum","type":"string","enum":["MARRIED","DIVORCED","WIDOWED","SINGLE","SEPARATED","REGISTERED_PARTNERSHIP"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"Nationality":{"title":"Nationality","type":"object","description":"Nationality of the customer","properties":{"countryCode":{"$ref":"#/components/schemas/CountryEnum"},"nationalIdentifier":{"type":"string","description":"National identifier of the customer"},"nationalIdentifierType":{"$ref":"#/components/schemas/NationalIdentifierType"}},"required":["countryCode"]},"NationalIdentifierType":{"title":"NationalIdentifierType","type":"string","description":"National identifier type of the customer","enum":["CONCAT","NATIONAL_PASSPORT_NUMBER","BELGIAN_NATIONAL_NUMBER","BULGARIAN_PERSONAL_NUMBER","CZECH_NATIONAL_IDENTIFICATION_NUMBER","DENMARK_PERSONAL_IDENTITY_CODE","ESTONIAN_PERSONAL_IDENTIFICATION_CODE","SPAIN_TAX_IDENTIFICATION_NUMBER","FINLAND_PERSONAL_IDENTITY_CODE","GREECE_DSS_DIGIT_INVESTOR_SHARE","CROATIA_PERSONAL_IDENTIFICATION_NUMBER","ICELAND_PERSONAL_IDENTITY_CODE","ITALY_FISCAL_CODE","LITHUANIA_PERSONAL_CODE","LATVIA_PERSONAL_CODE","MALTA_NATIONAL_IDENTIFICATION_NUMBER","NORWAY_PERSONAL_ID","POLAND_NATIONAL_IDENTIFICATION_NUMBER","PORTUGAL_TAX_NUMBER","ROMANIA_NATIONAL_IDENTIFICATION_NUMBER","SWEDEN_PERSONAL_IDENTITY_NUMBER","SLOVENIA_PERSONAL_IDENTIFICATION_NUMBER","SLOVAKIA_PERSONAL_NUMBER"]},"LanguageEnum":{"title":"LanguageEnum","type":"string","description":"Language code in ISO 639-1 two-letter codes (EU only)","enum":["da","de","el","en","es","fi","fr","hu","it","lt","lv","mt","nl","pl","pt","ro","sk","sl","sv"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"NaturalPersonProfessionGroupEnum":{"title":"NaturalPersonProfessionGroupEnum","type":"string","enum":["EMPLOYED","INDEPENDENT","PENSIONER","MEMBER_OF_THE_BOARD","STUDENT_OR_PUPIL","UNEMPLOYED","PUBLIC_SECTOR_EMPLOYEE","PROFESSIONAL_SOLDIER","FREELANCER","HOUSEWORK","RETIRED"]},"NaturalPersonNaceSector":{"title":"NaturalPersonNaceSector","type":"object","properties":{"section":{"type":"string","minLength":1,"maxLength":1,"pattern":"^[A-V]$"},"description":{"type":"string","maxLength":255}},"required":["section"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"NaturalPersonSourceOfIncomeEnum":{"title":"NaturalPersonSourceOfIncomeEnum","type":"string","enum":["INCOME_FROM_EMPLOYMENT","INCOME_FROM_CAPITAL_ASSETS","INCOME_FROM_RENTING_AND_LEASING","INCOME_FROM_AGRICULTURE_AND_FORESTRY","INCOME_FROM_BUSINESS_OPERATIONS","INCOME_FROM_SELF_EMPLOYMENT","OTHER_INCOME","SALES_OF_ASSETS","FAMILY_INCOME_OR_DONATIONS","INHERITANCE","PENSION","PUBLIC_SUBSIDES"],"description":"source of income"},"NaturalPersonAssetOriginEnum":{"title":"NaturalPersonAssetOriginEnum","type":"string","enum":["NON_EMPLOYED_LABOR","CAPITAL_ASSETS","REAL_ESTATE","INHERITANCE","DONATION","AGRICULTURE_AND_FORESTRY","TRADE","SELF_EMPLOYED_WORK"],"description":"source of income"},"Contact":{"title":"Contact","type":"object","properties":{"phone":{"type":"string","description":"Mobile telephone number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"email":{"type":"string","description":"E-mail address","maxLength":255,"pattern":"^[a-zA-Z0-9.!#$%&'*+\\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"},"fax":{"type":"string","description":"Fax number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"website":{"type":"string","description":"website address","maxLength":320}},"required":["phone","email"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}":{"get":{"summary":"Get Natural Person","tags":["Natural Persons"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NaturalPerson"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"get-natural-person","description":"Get natural person"}}}}
```

## Update Natural Person

> Update natural person

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Natural Persons","description":"Natural Persons"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"NaturalPersonUpdate":{"title":"NaturalPersonUpdate","type":"object","properties":{"naturalPersonUpdateData":{"$ref":"#/components/schemas/NaturalPersonUpdateData"},"documentId":{"type":"string","format":"uuid","description":"Document ID in UUID format for those params where a document upload is required (title, lastName, deathDay)"}},"required":["naturalPersonUpdateData"]},"NaturalPersonUpdateData":{"title":"NaturalPersonUpdateData","type":"object","properties":{"annualIncomeNet":{"type":"number","multipleOf":0.01,"description":"Annual income net"},"sourceOfIncome":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonSourceOfIncomeEnum"}},"availableAssets":{"type":"number","multipleOf":0.01,"description":"Available assets"},"originOfAssets":{"type":"array","items":{"$ref":"#/components/schemas/NaturalPersonAssetOriginEnum"}},"contact":{"$ref":"#/components/schemas/Contact"},"mainAddress":{"title":"Address","type":"object","description":"Legal address of the natural person. \\\nIf the new address is outside DE: A corresponding document (proof of residence) must be submitted to update the legal address. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'PROOF_OF_RESIDENCE' must be selected as the type.\n","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"correspondenceAddress":{"$ref":"#/components/schemas/Address"},"title":{"title":"NaturalPersonTitleEnum","type":"string","enum":["PROFESSOR","MAGISTER","DR"],"description":"A corresponding document (proof of obtaining the respective title) must be submitted to update the title. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'KYC' must be selected as the type.\n"},"lastName":{"type":"string","description":"Natural person last name. \\\nA corresponding document (proof of respective name change) must be submitted to update the last name. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'KYC' must be selected as the type.\n","maxLength":255},"firstName":{"type":"string","description":"Natural person first name. \\\nA corresponding document (proof of respective name change) must be submitted to update the first name. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'KYC' must be selected as the type.\n"},"gender":{"title":"GenderEnum","type":"string","description":"A corresponding document (proof of respective gender change) must be submitted to update the gender. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'KYC' must be selected as the type.\n","enum":["MALE","FEMALE","DIVERSE"]},"maritalStatus":{"$ref":"#/components/schemas/NaturalPersonMaritalStatusEnum"},"profession":{"type":"string","minLength":1,"maxLength":255},"professionGroup":{"$ref":"#/components/schemas/NaturalPersonProfessionGroupEnum"},"naceSectors":{"description":"Specification of the sector in which the natural person is professionally active. The information should be provided according to the main classes of the NACE codes (Sections A-V) without subclasses. (Level 1)","type":"array","items":{"$ref":"#/components/schemas/NaturalPersonNaceSector"}},"taxDetails":{"type":"array","items":{"$ref":"#/components/schemas/TaxDetail"}},"nationalities":{"type":"array","items":{"title":"Nationality","type":"object","description":"A corresponding document (ID, passport) must be submitted to update the nationality. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'KYC' must be selected as the type.\n","properties":{"countryCode":{"$ref":"#/components/schemas/CountryEnum"},"nationalIdentifier":{"type":"string","description":"National identifier of the customer"},"nationalIdentifierType":{"$ref":"#/components/schemas/NationalIdentifierType"}},"required":["countryCode"]}},"externalId":{"type":"string","minLength":1,"description":"External Id in partner's system. This value has to be unique"},"deathDay":{"type":"string","format":"date","description":"A corresponding document (death certificate) must be submitted to update the death day. When uploading the document via respecting endpoint, the exact document name must be specified under 'name' and 'OTHER' must be selected as the type.\n"}}},"NaturalPersonSourceOfIncomeEnum":{"title":"NaturalPersonSourceOfIncomeEnum","type":"string","enum":["INCOME_FROM_EMPLOYMENT","INCOME_FROM_CAPITAL_ASSETS","INCOME_FROM_RENTING_AND_LEASING","INCOME_FROM_AGRICULTURE_AND_FORESTRY","INCOME_FROM_BUSINESS_OPERATIONS","INCOME_FROM_SELF_EMPLOYMENT","OTHER_INCOME","SALES_OF_ASSETS","FAMILY_INCOME_OR_DONATIONS","INHERITANCE","PENSION","PUBLIC_SUBSIDES"],"description":"source of income"},"NaturalPersonAssetOriginEnum":{"title":"NaturalPersonAssetOriginEnum","type":"string","enum":["NON_EMPLOYED_LABOR","CAPITAL_ASSETS","REAL_ESTATE","INHERITANCE","DONATION","AGRICULTURE_AND_FORESTRY","TRADE","SELF_EMPLOYED_WORK"],"description":"source of income"},"Contact":{"title":"Contact","type":"object","properties":{"phone":{"type":"string","description":"Mobile telephone number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"email":{"type":"string","description":"E-mail address","maxLength":255,"pattern":"^[a-zA-Z0-9.!#$%&'*+\\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$"},"fax":{"type":"string","description":"Fax number","minLength":3,"maxLength":20,"pattern":"^[\\+\\-\\(\\)\\d ]{3,20}$"},"website":{"type":"string","description":"website address","maxLength":320}},"required":["phone","email"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"NaturalPersonMaritalStatusEnum":{"title":"NaturalPersonMaritalStatusEnum","type":"string","enum":["MARRIED","DIVORCED","WIDOWED","SINGLE","SEPARATED","REGISTERED_PARTNERSHIP"]},"NaturalPersonProfessionGroupEnum":{"title":"NaturalPersonProfessionGroupEnum","type":"string","enum":["EMPLOYED","INDEPENDENT","PENSIONER","MEMBER_OF_THE_BOARD","STUDENT_OR_PUPIL","UNEMPLOYED","PUBLIC_SECTOR_EMPLOYEE","PROFESSIONAL_SOLDIER","FREELANCER","HOUSEWORK","RETIRED"]},"NaturalPersonNaceSector":{"title":"NaturalPersonNaceSector","type":"object","properties":{"section":{"type":"string","minLength":1,"maxLength":1,"pattern":"^[A-V]$"},"description":{"type":"string","maxLength":255}},"required":["section"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"NationalIdentifierType":{"title":"NationalIdentifierType","type":"string","description":"National identifier type of the customer","enum":["CONCAT","NATIONAL_PASSPORT_NUMBER","BELGIAN_NATIONAL_NUMBER","BULGARIAN_PERSONAL_NUMBER","CZECH_NATIONAL_IDENTIFICATION_NUMBER","DENMARK_PERSONAL_IDENTITY_CODE","ESTONIAN_PERSONAL_IDENTIFICATION_CODE","SPAIN_TAX_IDENTIFICATION_NUMBER","FINLAND_PERSONAL_IDENTITY_CODE","GREECE_DSS_DIGIT_INVESTOR_SHARE","CROATIA_PERSONAL_IDENTIFICATION_NUMBER","ICELAND_PERSONAL_IDENTITY_CODE","ITALY_FISCAL_CODE","LITHUANIA_PERSONAL_CODE","LATVIA_PERSONAL_CODE","MALTA_NATIONAL_IDENTIFICATION_NUMBER","NORWAY_PERSONAL_ID","POLAND_NATIONAL_IDENTIFICATION_NUMBER","PORTUGAL_TAX_NUMBER","ROMANIA_NATIONAL_IDENTIFICATION_NUMBER","SWEDEN_PERSONAL_IDENTITY_NUMBER","SLOVENIA_PERSONAL_IDENTIFICATION_NUMBER","SLOVAKIA_PERSONAL_NUMBER"]}}},"paths":{"/entities/natural-persons/{naturalPersonId}":{"patch":{"summary":"Update Natural Person","operationId":"update-natural-person","parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Update natural person","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NaturalPersonUpdate"}}}},"tags":["Natural Persons"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/natural-persons-directory/natural-persons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
